View Issue Details

IDProjectCategoryView StatusLast Update
0006123Talerexchangepublic2020-03-31 16:04
ReporterFlorian DoldAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0006123: taler-exchange-keyup does not notice revocations
DescriptionWhen denominations are revoked, taler-exchange-keyup should create a new denomination that replaces the revoked one.

Instead, both taler-exchange-keyup and taler-exchange-keycheck are perfectly happy with treating revoked denominations as valid/present.
TagsNo tags attached.

Activities

Christian Grothoff

2020-03-17 22:18

manager   ~0015458

Preliminary patch pushed, needs testing.

Christian Grothoff

2020-03-18 15:08

manager   ~0015459

a6316456..b1cfcf4f adds a test. Issue resolved.

Issue History

Date Modified Username Field Change
2020-03-12 12:59 Florian Dold New Issue
2020-03-12 12:59 Florian Dold Status new => assigned
2020-03-12 12:59 Florian Dold Assigned To => Christian Grothoff
2020-03-16 19:34 Christian Grothoff Priority normal => high
2020-03-16 19:34 Christian Grothoff Severity major => feature
2020-03-16 19:34 Christian Grothoff Product Version => git (master)
2020-03-16 19:34 Christian Grothoff Target Version => 0.6
2020-03-17 22:18 Christian Grothoff Note Added: 0015458
2020-03-18 15:08 Christian Grothoff Status assigned => resolved
2020-03-18 15:08 Christian Grothoff Resolution open => fixed
2020-03-18 15:08 Christian Grothoff Fixed in Version => 0.6
2020-03-18 15:08 Christian Grothoff Note Added: 0015459
2020-03-31 16:04 Christian Grothoff Status resolved => closed